Bug 539598 - (CVE-2009-3386) CVE-2009-3386 bugzilla hidden bug alias disclosure
CVE-2009-3386 bugzilla hidden bug alias disclosure
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=moderate,source=cve,reported=2...
: Security
Depends On: 539599 539600 539601
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 12:19 EST by Josh Bressers
Modified: 2010-03-29 06:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 06:03:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-11-20 12:19:32 EST
Template.pm in Bugzilla 3.3.2 through 3.4.3 and 3.5 through 3.5.1
allows remote attackers to discover the alias of a private bug by
reading the (1) Depends On or (2) Blocks field of a related bug.

http://www.bugzilla.org/security/3.4.3/
https://bugzilla.mozilla.org/show_bug.cgi?id=529416
http://secunia.com/advisories/37423
Comment 1 Josh Bressers 2009-11-20 12:20:06 EST
Created bugzilla tracking bugs for this issue

CVE-2009-3386 Affects: F11 [bug #539599]
CVE-2009-3386 Affects: F12 [bug #539600]
CVE-2009-3386 Affects: Fdevel [bug #539601]
Comment 2 Tomas Hoger 2009-11-20 15:10:16 EST
Upstream advisory says it only affects 3.3.2 and later.  As F11 is on 3.2.5 now, it should not be affected.

Rawhide already has 3.4.4 and F12 update was already submitted:
  https://admin.fedoraproject.org/updates/bugzilla-3.4.4-1.fc12
Comment 3 Fedora Update System 2009-11-24 02:39:20 EST
bugzilla-3.4.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.